GDB (xrefs)

Classes | Functions | Variables
gdb-gdb Namespace Reference

## Classes
class | StructMainTypePrettyPrinter
class | StructTypePrettyPrinter
class | TypeFlag
class | TypeFlagsPrinter

## Functions
def | type_lookup_function (val)
def | register_pretty_printer (objfile)

## Variables
| TYPE_FLAGS

## Function Documentation

## ◆ register_pretty_printer()

def gdb-gdb.register_pretty_printer | ( |  | objfile | ) |

    A routine to register a pretty-printer against the given OBJFILE.

Definition at line 234 of file gdb-gdb.py.

## ◆ type_lookup_function()

def gdb-gdb.type_lookup_function | ( |  | val | ) |

    A routine that returns the correct pretty printer for VAL
    if appropriate.  Returns None otherwise.

Definition at line 224 of file gdb-gdb.py.

## Variable Documentation

## ◆ TYPE_FLAGS

gdb-gdb.TYPE_FLAGS

Definition at line 47 of file gdb-gdb.py.